;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;;  Instruction INI file for gfx+cc installer
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;-----NOTE: USE ALL LOWER CASE FOR SECTION AND PROPERTY NAMES


;***************************************** General Format
;[section]
;property1=value1
;property2=value2
;property3=value3
;uninstall=true | false | only
;[/section]


;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;++                               BEGIN                                 ++
;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

;-------------------------------------------------------------------------
;--                         VARIABLE DECLARATIONS                       --
;-------------------------------------------------------------------------
[variables]
;CUSTOM VARIABLES CAN NOT HAVE NESTED CUSTOM VARIABLES
;  ONLY MAY NEST PRE-DEFINED VARIABLES
;path=EXECUTION PATH                   ;pre-defined
;system=SYSTEM PATH                    ;pre-defined
;progfilesdir=PROGRAM FILES DIRECTORY  ;pre-defined
;root=WINDOWS DRIVE (ie C:)	       ;pre-defined
installdir=%progfilesdir%\Intel\Intel(R) Management Engine Interface
startfolder=Intel(R) Management Engine Interface
[/variables]


[copy file]
source=%path%\setup.exe
destination=%system%\heciudlg.exe
uninstall=false
[/copy file]

[copy file]
source=%path%\difxapi.dll
destination=%system%\difxapi.dll
uninstall=false
[/copy file]

[copy file]
source=%path%\x64\difxapi.dll
destination=%system%\x64\difxapi.dll
uninstall=false
condition=IsWoW
[/copy file]

[copy file]
source=%path%\x64\Difx64.exe
destination=%system%\x64\Difx64.exe
uninstall=false
condition=IsWoW
[/copy file]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\HECI
keyvalue=DisplayName
keydata=Intel(R) Management Engine Interface
keytype=sz
uninstall=true
[/registry]


[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\HECI
keyvalue=UninstallString
keydata=%system%\heciudlg.exe -uninstall
keytype=sz
uninstall=true
[/registry]
